package com.sonic.lion.domain.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;

/**
 * 资金账单 状态
 */
@Getter
public enum BillStatusEnum {
    /**
     * 初始化 刚创建
     */
    CREATED(0, "CREATED"),
    /**
     * 回滚 (系统错误，或者对账，或者其他原因导致 账单作废)
     */
    ROLL_BACK(1, "ROLL_BACK"),
    /**
     * 已结算(结算之后的资金 才能被入账 ，否则在冻结状态)
     */
    SETTLED(2, "SETTLED"),
    ;

    private final int value;

    private final String desc;

    BillStatusEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }
}
